---
updatedAt: 2026-09-18T11:25:26.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get information about document images

# Overview

Use this method to get the information about the uploaded images from the specific applicant profile.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the following [permissions](https://docs.sumsub.com/sumsub/docs/user-roles#permissions):

* **View applicants**
* **View applicant's personal data**

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/applicants/66bb9bd13158c00000223355/metadata/resources' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response is a JSON file that contains the structured data about all uploaded images in the applicant profile. See the [response example](#response-example) below.

| Field        | Type                                      | Description                                              |
| :----------- | :---------------------------------------- | :------------------------------------------------------- |
| `items`      | [Array of objects](#items-element-fields) | Each object represents the data for an individual image. |
| `totalItems` | Integer                                   | Total number of all uploaded images.                     |

## `items` element fields

The following table explains the primary data elements of an individual image.

| Field          | Type                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| :------------- | :--------------------------------- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`           | String                             | Unique image identifier.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `previewId`    | String                             | Identifier of the image thumbnail.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `addedDate`    | Date                               | Date and time when the image was uploaded.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `fileMetadata` | [Object](#filemetadata-attributes) | Includes such file metadata like name, type, size, and so on.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `idDocDef`     | [Object](#iddocdef-attributes)     | Additional information about the document.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `reviewResult` | [Object](#reviewresult-attributes) | Contains extra details of the image check result.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| `attemptId`    | String                             | Unique identifier of the current image check attempt.<br />Applicants may initiate several attempts to get verified if, for example, they failed once or changed/added the documents, or you could change the verification level to start another check.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `source`       | String                             | Specifies the source from which the image was obtained and may be any of the following:<ul><li><code>liveness</code> — taken from the <a href="doc:liveness">liveness</a> check.</li><li><code>videoidentSnapshot</code> — obtained during <a href="doc:video-identification">video identification</a>.</li><li><code>docapture</code> — captured during one of the verification steps.</li><li><code>nfc</code> — extracted during <a href="doc:nfc-based-id-verification">NFC-based ID verification</a>.</li><li><code>externaldb</code> — retrieved from an external database.</li><li><code>fileupload</code> — ready-made image file was uploaded into the system.</li></ul> |
| `deactivated`  | Boolean                            | Indicates the image status.<ul><li><code>true</code> — the image is <a href="ref:marking-image-as-inactive">marked as inactive</a>.</li><li><code>false</code> — the image is active.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |

## `fileMetadata` attributes

The follwoing table explains the attributes included in the `fileMetadata` object.

| Field        | Type    | Description                                                                                                   |
| :----------- | :------ | :------------------------------------------------------------------------------------------------------------ |
| `fileName`   | String  | Image file name.                                                                                              |
| `fileType`   | String  | Image file type.<br />See [our FAQ](/page/faq#api) for a full list of mime-types and acceptable file formats. |
| `fileSize`   | Integer | Image file size (in bytes).                                                                                   |
| `resolution` | Object  | Includes the actual `width` and `height` of the image in pixels.                                              |

## `idDocDef` attributes

The following table explains the `idDocDef` attributes representing the additional information about the document.

| Field          | Type   | Description                                                                                                                                                                                                                                                                 |
| :------------- | :----- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `country`      | String | Alpha-3 code (for example, `DEU`, `GBR`, `ARG`, and so on) of the country where the document was issued.                                                                                                                                                                    |
| `idDocType`    | String | Type of document that is specified in the level to be provided for verification. For example, `PASSPORT`, `SELFIE`, `VIDEO_SELFIE`, `PAYMENT_METHOD` and so on.<br />See the list of [supported document types](https://docs.sumsub.com/sumsub/reference/add-id-documents#supported-document-types) for details. |
| `idDocSubType` | String | `FRONT_SIDE`, `BACK_SIDE` or null.                                                                                                                                                                                                                                          |

## `reviewResult` attributes

The following table explains the `reviewResult` attributes representing details of the image check result.

| Field               | Type             | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| :------------------ | :--------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `moderationComment` | String           | Human-readable comment that explains the reasons for rejection, and that can be shown to the applicant.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `clientComment`     | String           | Human-readable comment that explains the reasons for rejection, and that **must not be shown to the applicant**.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `reviewAnswer`      | String           | Explains the image review result: <ul><li><code>GREEN</code> — the image is approved.</li><li><code>RED</code> — the image is rejected. See <code>reviewRejectType</code> for clarification.</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `rejectLabels`      | Array of strings | Includes one or more reasons for rejection. The field is available if `reviewAnswer` returns `RED`.<br />For more details, see [Resubmission requested](https://docs.sumsub.com/sumsub/reference/temporary-rejection)  and [Rejected](https://docs.sumsub.com/sumsub/reference/final-rejection)  clarification.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `reviewRejectType`  | String           | Indicates the type of rejection: <ul><li><code>FINAL</code> — <b>Rejected</b> status in case of major violations. For example, the document data was modified, the document has been tampered with, and so on. If this is the case, you need to make a decision regarding the applicant on the basis of the rest data in the profile.</li><li><code>RETRY</code> — <b>Resubmission requested</b> status in case of minor violations. For example, a screenshot was uploaded instead of a photo, part of the document is not visible, and so on. The applicant is sent a resubmission request to upload a new image.</li></ul><br />For more details, see [Resubmission requested](https://docs.sumsub.com/sumsub/reference/resubmission-requested)   and [Rejected](https://docs.sumsub.com/sumsub/reference/rejected)  clarification. |
| `buttonIds`         | Array of strings | List of button IDs that have been used for rejection.<br />A specific buttonId is automatically assigned to each rejection. For more details, see [Resubmission requested](https://docs.sumsub.com/sumsub/reference/resubmission-requested)   and [Rejected](https://docs.sumsub.com/sumsub/reference/rejected)  clarification.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

## Response example

```json
{
  "items": [
    {
      "id": "393800000",
      "previewId": "1264200000",
      "addedDate": "2024-10-01 16:31:51",
      "fileMetadata": {
        "fileName": "docapture_manual_front_side.jpg",
        "fileType": "jpeg",
        "fileSize": 255588,
        "resolution": {
          "width": 1280,
          "height": 720
        }
      },
      "idDocDef": {
        "country": "PRT",
        "idDocType": "DRIVERS",
        "idDocSubType": "FRONT_SIDE"
      },
      "reviewResult": {
        "moderationComment": "The required fields of the document are not readable. Please upload a clear photo or another suitable document to continue your verification . Make sure that all corners of the document are visible.",
        "clientComment": "Required fields of the document are not readable or visible. A new photo has been requested.",
        "reviewAnswer": "RED",
        "rejectLabels": [
          "UNSATISFACTORY_PHOTOS"
        ],
        "reviewRejectType": "RETRY",
        "buttonIds": [
          "badPhoto_dataNotVisible"
        ]
      },
      "attemptId": "eaHEj",
      "source": "docapture"
    },
    {
      "id": "931822222",
      "previewId": "1023422222",
      "addedDate": "2024-10-01 16:31:51",
      "fileMetadata": {
        "fileName": "docapture_manual_back_side.jpg",
        "fileType": "jpeg",
        "fileSize": 209354,
        "resolution": {
          "width": 1280,
          "height": 720
        }
      },
      "idDocDef": {
        "country": "PRT",
        "idDocType": "DRIVERS",
        "idDocSubType": "BACK_SIDE"
      },
      "reviewResult": {
        "moderationComment": "The required fields of the document are not readable. Please upload a clear photo or another suitable document to continue your verification . Make sure that all corners of the document are visible.",
        "clientComment": "Required fields of the document are not readable or visible. A new photo has been requested.",
        "reviewAnswer": "RED",
        "rejectLabels": [
          "UNSATISFACTORY_PHOTOS"
        ],
        "reviewRejectType": "RETRY",
        "buttonIds": [
          "badPhoto_dataNotVisible"
        ]
      },
      "attemptId": "eaHEj",
      "source": "docapture"
    },
    {
      "id": "512855555",
      "previewId": "1557055555",
      "addedDate": "2022-11-02 06:26:43",
      "fileMetadata": {
        "fileName": "file_name.jpg",
        "fileType": "jpeg",
        "fileSize": 60770,
        "resolution": {
          "width": 736,
          "height": 975
        }
      },
      "idDocDef": {
        "country": "PRT",
        "idDocType": "UTILITY_BILL"
      },
      "reviewResult": {
        "moderationComment": "The required fields of the document are not readable. Please upload a clear photo or another suitable document to continue your verification . Make sure that all corners of the document are visible.",
        "clientComment": "Required fields of the document are not readable or visible. A new photo has been requested.",
        "reviewAnswer": "RED",
        "rejectLabels": [
          "UNSATISFACTORY_PHOTOS"
        ],
        "reviewRejectType": "RETRY",
        "buttonIds": [
          "badPhoto_dataNotVisible"
        ]
      },
      "attemptId": "qwSTr",
      "source": "docapture",      
      "deactivated": true
    },
    {
      "id": "1380922222",
      "previewId": "340033333",
      "addedDate": "2022-11-02 06:26:46",
      "fileMetadata": {
        "fileName": "another-file-name.png",
        "fileType": "png",
        "fileSize": 293015,
        "resolution": {
          "width": 505,
          "height": 660
        }
      },
      "idDocDef": {
        "country": "PRT",
        "idDocType": "PASSPORT"
      },
      "reviewResult": {
        "reviewAnswer": "GREEN"
      },
      "attemptId": "thUIp",
      "source": "docapture",      
      "deactivated": false
    }    
  ],
  "totalItems": 4
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/applicants/{applicantId}/metadata/resources": {
      "get": {
        "summary": "Get information about document images",
        "description": "",
        "operationId": "get-information-about-document-images",
        "parameters": [
          {
            "name": "applicantId",
            "in": "path",
            "description": "Unique applicant identifier in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```